Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Page 1 of 2 12 LastLast
Results 1 to 10 of 13
  1. #1
    KurtS Guest

    Default Error open-xchange-contacts-ldap

    Since the last upgrade with "apt-get -y -f upgrade" I get the error:

    Setting up open-xchange-contacts-ldap (6.12.0.0-4) ...
    /opt/open-xchange/etc/oxfunctions.sh: 486: Syntax error: "(" unexpected (expecting "}")
    dpkg: error processing open-xchange-contacts-ldap (--configure):
    subprocess post-installation script returned error exit status 2
    Errors were encountered while processing:
    open-xchange-contacts-ldap
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    This is a working installation. Now I tried to add postgrey with the result:
    Starting postfix greylisting daemon: postgrey.

    Errors were encountered while processing:
    open-xchange-contacts-ldap
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Any hints what's wrong?

  2. #2
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    It is important to run apt-get dist-upgrade:

    http://www.open-xchange.com/wiki/ind..._distributions

    I don't know, however, if you problem is related to that.
    OXpedia.org - the answer to almost all questions.

  3. #3
    KurtS Guest

    Default Upgrade with sudo apt-get -y -f dist-upgrade --force-yes

    Still the same:

    Setting up linux-image-server (2.6.24.25.27) ...
    Setting up linux-server (2.6.24.25.27) ...
    Setting up open-xchange-subscribe-crawler (6.12.0.0-4) ...
    Processing triggers for libc6 ...
    ldconfig deferred processing now taking place
    Errors were encountered while processing:
    open-xchange-contacts-ldap
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Kurt

  4. #4
    Join Date
    Jul 2009
    Posts
    20

    Default

    hi,

    /opt/open-xchange/etc/oxfunctions.sh: 486: Syntax error: "(" unexpected (expecting "}").
    Do you have looked in the file at line 486 and tried to fix this?
    Maybe the package is just broken an nobody installs it

    On my Installation I have no ldap installed.

  5. #5
    KurtS Guest

    Default Syntax error

    You may be right. But where is the error? The error is indicated at the bolded line.

    ox_update_config_init() {
    local cini=$1
    local cinitemplate=$2
    local bdir=$3

    test -z "$cini" && die \
    "ox_update_config_init: missing config.ini argument (arg 1)"
    test -z "$cinitemplate" && die \
    "ox_update_config_init: missing config.ini template argument (arg 2)"
    test -z "$bdir" && die \
    "ox_update_config_init: missing bundle.d argument (arg 3)"

    test -d $bdir || die "$bdir is not a directory"
    test -f $cinitemplate || die "$cinitemplate does not exist"
    test "$(echo $bdir/*.ini)" == "$bdir/*.ini" && die "$bdir is empty"

    # read all installed bundles into an array
    local dirbundles=()
    local bpath=
    for bundle in $bdir/*.ini; do
    read bpath < $bundle
    dirbundles=( ${dirbundles[*]} "reference\:file\:${bpath}" )
    done

    if [ -f $cini ]; then
    # read all bundles listed in config.ini into an array
    local configbundles=( $(sed -e \
    '/^osgi.bundles.*/Is;^osgi.bundles=\(.*\);\1;' \
    -n -e 's;,; ;gp' < $cini ) )
    fi

    cp $cinitemplate $cini
    echo "osgi.bundles=$(echo ${dirbundles[@]} | sed 's; ;,;g')" >> $cini
    }

  6. #6
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    I have no idea, what's wrong with that code on your system.

    What system do you run?
    What happens when you do this in a shell (bash):

    Code:
    $ a=()
    OXpedia.org - the answer to almost all questions.

  7. #7
    KurtS Guest

    Default Test

    That works fine.

  8. #8
    KurtS Guest

    Default No Ideas?

    Obviously nobody has an idea how to fix this error.

    I will try to re-install OX.

  9. #9
    KurtS Guest

    Default Same problem with install

    $ sudo aptitude install open-xchange open-xchange-authentication-database
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    Writing extended state information... Done
    Building tag database... Done
    The following packages are unused and will be REMOVED:
    libxp6
    The following partially installed packages will be configured:
    open-xchange-contacts-ldap
    0 packages upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    Need to get 0B of archives. After unpacking 77.8kB will be freed.
    Do you want to continue? [Y/n/?] y
    Writing extended state information... Done
    (Reading database ... 47916 files and directories currently installed.)
    Removing libxp6 ...
    Processing triggers for libc6 ...
    ldconfig deferred processing now taking place
    Setting up open-xchange-contacts-ldap (6.12.0.0-4) ...
    /opt/open-xchange/etc/oxfunctions.sh: 486: Syntax error: "(" unexpected (expecting "}")
    dpkg: error processing open-xchange-contacts-ldap (--configure):
    subprocess post-installation script returned error exit status 2
    Errors were encountered while processing:
    open-xchange-contacts-ldap
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    A package failed to install. Trying to recover:
    Setting up open-xchange-contacts-ldap (6.12.0.0-4) ...
    /opt/open-xchange/etc/oxfunctions.sh: 486: Syntax error: "(" unexpected (expecting "}")
    dpkg: error processing open-xchange-contacts-ldap (--configure):
    subprocess post-installation script returned error exit status 2
    Errors were encountered while processing:
    open-xchange-contacts-ldap
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    Writing extended state information... Done
    Building tag database... Done

  10. #10
    KurtS Guest

    Default New Installation

    I solved the problem with a new installation. The new release 6.14 is much better anyhow.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •